﻿using GMap.NET.MapProviders;
using GMap.NET.WindowsForms;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace WinformHostClipping
{
    public class GMapsWinformControl:WindowsFormsHostEx
    {
        private GMapControl gMapControl;
        public GMapsWinformControl()
        {
            gMapControl = new GMapControl();
            Child = gMapControl;
            gMapControl.MapProvider = GMapProviders.GoogleTerrainMap;
            gMapControl.MinZoom = 5;
            gMapControl.MaxZoom = 12;
            gMapControl.Zoom = 7.5;
            gMapControl.ShowCenter = true;
            gMapControl.Position = new GMap.NET.PointLatLng(4.09, 101.06);
            gMapControl.DragButton = MouseButtons.Middle;
        }
    }
}
